Package picard.sam.util

# Enum Class SamComparison.AlignmentComparison

java.lang.Object
java.lang.Enum<SamComparison.AlignmentComparison>
picard.sam.util.SamComparison.AlignmentComparison

All Implemented Interfaces:
  `Serializable`, `Comparable<SamComparison.AlignmentComparison>`, `Constable`

Enclosing class:
  SamComparison

public static enum SamComparison.AlignmentComparison extends Enum<SamComparison.AlignmentComparison>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAPPINGS_DIFFER`
`MAPPINGS_MATCH`
`UNMAPPED_BOTH`
`UNMAPPED_LEFT`
`UNMAPPED_RIGHT`

## Method Summary

Modifier and Type
Method
Description
`static SamComparison.AlignmentComparison`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SamComparison.AlignmentComparison[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNMAPPED_BOTH

public static final SamComparison.AlignmentComparison UNMAPPED_BOTH

### UNMAPPED_LEFT

public static final SamComparison.AlignmentComparison UNMAPPED_LEFT

### UNMAPPED_RIGHT

public static final SamComparison.AlignmentComparison UNMAPPED_RIGHT

### MAPPINGS_DIFFER

public static final SamComparison.AlignmentComparison MAPPINGS_DIFFER

### MAPPINGS_MATCH

public static final SamComparison.AlignmentComparison MAPPINGS_MATCH

## Method Details

### values

public static SamComparison.AlignmentComparison[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SamComparison.AlignmentComparison valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null